package de.verteiltearchitekturen.election;
public record Vote (String choice, int votes) {}
/*
public class Vote {
	private final String choice;
	private final int votes;

	public String choice() {
		return choice;
	}

	public int votes() {
		return votes;
	}

	public Vote(String choice, int votes) {
		super();
		this.choice = choice;
		this.votes = votes;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((choice == null) ? 0 : choice.hashCode());
		result = prime * result + votes;
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Vote other = (Vote) obj;
		if (choice == null) {
			if (other.choice != null)
				return false;
		} else if (!choice.equals(other.choice))
			return false;
		if (votes != other.votes)
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Vote [choice=" + choice + ", votes=" + votes + "]";
	}

}
*/